import vdcpy.user as vdc_user


def add_unittest_user():
    """
    Add a unittest user.
    """
    user_info = {
        'name': 'unittest_user',
        'email': 'test@test.test',
        'organization': 'unittest_organization',
        'position': 'unittest_position'
    }
    vdc_user.add_user(user_info, auth_token='t3st')

def delete_unittest_users():
    """
    Delete all unittest users.
    """
    user_list = vdc_user.get_users(name='unittest_user')
    
    for user in user_list:
        vdc_user.delete_user(user['id'], auth_token='t3st')
    
    user_list = vdc_user.get_users(name='unittest_user_updated')
    for user in user_list:
        vdc_user.delete_user(user['id'], auth_token='t3st')
